/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

/*****************************************************************************/
/* This is an automatically generated file. If you're not                    */
/* nsSiteSecurityService.cpp, you shouldn't be #including it.     */
/*****************************************************************************/

#include <stdint.h>
const PRTime gPreloadListExpirationTime = INT64_C(1402139158203000);

class nsSTSPreload
{
  public:
    const char *mHost;
    const bool mIncludeSubdomains;
};

static const nsSTSPreload kSTSPreloadList[] = {
  { "accounts.google.com", true },
  { "aladdinschools.appspot.com", false },
  { "alpha.irccloud.com", false },
  { "api.intercom.io", false },
  { "api.xero.com", false },
  { "app.recurly.com", false },
  { "app.yinxiang.com", false },
  { "appseccalifornia.org", true },
  { "arivo.com.br", true },
  { "bank.simple.com", false },
  { "bccx.com", true },
  { "bitbucket.org", false },
  { "blog.cyveillance.com", true },
  { "blog.linode.com", false },
  { "blog.lookout.com", false },
  { "blog.torproject.org", false },
  { "blueseed.co", false },
  { "bugzilla.mozilla.org", true },
  { "business.lookout.com", false },
  { "carezone.com", false },
  { "check.torproject.org", false },
  { "chromiumcodereview.appspot.com", false },
  { "cloudns.com.au", true },
  { "cloudsecurityalliance.org", true },
  { "codereview.appspot.com", false },
  { "conformal.com", true },
  { "controlcenter.gigahost.dk", true },
  { "crm.onlime.ch", false },
  { "crypto.cat", false },
  { "cupcake.io", true },
  { "cupcake.is", true },
  { "cybozu.com", true },
  { "cyphertite.com", true },
  { "data.qld.gov.au", false },
  { "davidlyness.com", true },
  { "developer.mydigipass.com", false },
  { "dist.torproject.org", false },
  { "dm.lookout.com", false },
  { "dm.mylookout.com", false },
  { "download.jitsi.org", false },
  { "ebanking.indovinabank.com.vn", false },
  { "ecosystem.atlassian.net", true },
  { "eff.org", true },
  { "entropia.de", false },
  { "epoxate.com", false },
  { "errors.zenpayroll.com", false },
  { "espra.com", true },
  { "f-droid.org", true },
  { "factor.cc", false },
  { "faq.lookout.com", false },
  { "forum.linode.com", false },
  { "forum.quantifiedself.com", true },
  { "gernert-server.de", true },
  { "getlantern.org", false },
  { "go.xero.com", false },
  { "grc.com", false },
  { "grepular.com", true },
  { "haste.ch", true },
  { "howrandom.org", true },
  { "id.mayfirst.org", false },
  { "inertianetworks.com", true },
  { "intercom.io", false },
  { "itriskltd.com", true },
  { "keyerror.com", true },
  { "kinsights.com", false },
  { "lastpass.com", false },
  { "launchkey.com", true },
  { "library.linode.com", false },
  { "lifeguard.aecom.com", false },
  { "linode.com", false },
  { "linx.net", false },
  { "lockify.com", true },
  { "logentries.com", false },
  { "login.persona.org", true },
  { "login.sapo.pt", true },
  { "login.xero.com", false },
  { "logotype.se", true },
  { "lolicore.ch", true },
  { "lookout.com", false },
  { "lumi.do", false },
  { "luneta.nearbuysystems.com", false },
  { "mail.de", true },
  { "makeyourlaws.org", false },
  { "manage.zenpayroll.com", false },
  { "manager.linode.com", false },
  { "matteomarescotti.name", true },
  { "mattmccutchen.net", true },
  { "mediacru.sh", true },
  { "mega.co.nz", false },
  { "members.mayfirst.org", false },
  { "members.nearlyfreespeech.net", false },
  { "mnsure.org", true },
  { "mudcrab.us", true },
  { "my.onlime.ch", false },
  { "my.xero.com", false },
  { "mykolab.com", true },
  { "mylookout.com", false },
  { "neg9.org", false },
  { "oplop.appspot.com", true },
  { "opsmate.com", false },
  { "p.linode.com", false },
  { "passwd.io", true },
  { "paste.linode.com", false },
  { "pastebin.linode.com", false },
  { "pay.gigahost.dk", true },
  { "paymill.com", true },
  { "paymill.de", false },
  { "piratenlogin.de", true },
  { "pixi.me", true },
  { "publications.qld.gov.au", false },
  { "riseup.net", true },
  { "romab.com", true },
  { "roundcube.mayfirst.org", false },
  { "sandbox.mydigipass.com", false },
  { "securityheaders.com", true },
  { "shodan.io", true },
  { "silentcircle.com", false },
  { "simbolo.co.uk", false },
  { "simple.com", false },
  { "skydrive.live.com", false },
  { "squareup.com", false },
  { "stocktrade.de", false },
  { "stripe.com", true },
  { "strongest-privacy.com", true },
  { "support.mayfirst.org", false },
  { "surkatty.org", true },
  { "tent.io", true },
  { "therapynotes.com", false },
  { "torproject.org", false },
  { "twitter.com", false },
  { "ubertt.org", true },
  { "webmail.gigahost.dk", false },
  { "webmail.onlime.ch", false },
  { "wiki.python.org", true },
  { "wiz.biz", true },
  { "writeapp.me", false },
  { "www.apollo-auto.com", true },
  { "www.braintreepayments.com", false },
  { "www.cyveillance.com", true },
  { "www.entropia.de", false },
  { "www.evernote.com", false },
  { "www.gov.uk", false },
  { "www.grc.com", false },
  { "www.heliosnet.com", true },
  { "www.intercom.io", false },
  { "www.irccloud.com", false },
  { "www.linode.com", false },
  { "www.lookout.com", false },
  { "www.makeyourlaws.org", false },
  { "www.mydigipass.com", false },
  { "www.mylookout.com", false },
  { "www.noisebridge.net", false },
  { "www.opsmate.com", true },
  { "www.simbolo.co.uk", false },
  { "www.simple.com", false },
  { "www.therapynotes.com", false },
  { "www.torproject.org", false },
  { "www.twitter.com", false },
  { "www.zenpayroll.com", false },
  { "zenpayroll.com", false },
};
